API ReferenceapicontentGET /v1/coas/{id}

GET /v1/coas/\{id\}

Service: content · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Single COA

{
  "type": "object",
  "properties": {
    "id": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "number"
        }
      ]
    },
    "productName": {
      "type": "string"
    },
    "brandId": {
      "type": "string"
    },
    "lotNumber": {
      "type": "string"
    },
    "testDate": {
      "type": "string"
    },
    "purity": {
      "type": [
        "string",
        "null"
      ]
    },
    "laboratory": {
      "type": [
        "string",
        "null"
      ]
    },
    "compoundSlug": {
      "type": [
        "string",
        "null"
      ]
    },
    "pdfUrl": {
      "type": [
        "string",
        "null"
      ]
    },
    "status": {
      "type": "string"
    },
    "createdAt": {
      "type": "string"
    },
    "updatedAt": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "productName",
    "brandId",
    "lotNumber",
    "testDate",
    "status",
    "createdAt",
    "updatedAt"
  ]
}

404 COA not found

Example

curl -X GET https://content.platform.loop.health/v1/coas/{id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"